<?php

namespace App\Http\Historico;

// Modelos
use App\Log;

// Sesion
use Auth;

class Historico {

    protected $accion;
    protected $req;
    protected $tableLog;
    protected $nom_usuario;
    
    public function __construct(){
        $this->tableLog = new Log();
        $this->SetInfoUser();
    }
    
    
    public function SetInfoUser(){
        $this->nom_usuario = Auth::user()->nom_usuario;
        $this->tableLog->usuario = $this->nom_usuario;
        $this->tableLog->fecha = Date("Y-m-d H:i:s");
    }


    public function SetInformacionLog($accion, $req){
        $this->accion = $accion;
        $this->req = $req;
    }
}